Skip to content

Update a scheduled volunteer shift start or end time

PATCH
/api/volunteers/schedule/{id}
curl --request PATCH \
--url https://example.com/api/volunteers/schedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "start_time": "2026-04-15T12:00:00Z", "end_time": "2026-04-15T12:00:00Z" }'
id
required
string format: uuid
Media typeapplication/json
object
start_time
string format: date-time
end_time
string format: date-time
Examplegenerated
{
"start_time": "2026-04-15T12:00:00Z",
"end_time": "2026-04-15T12:00:00Z"
}

Shift updated successfully